#ifndef _MY_MATH_LIB_HEADER
#define _MY_MATH_LIB_HEADER

#include <stdint.h>
#include <stdbool.h>
#include <stdio.h>

#include "Matrix.h"

// #define col n
// #define row m
// #define data pM


#define VALUE_I -0.135335283 // ((1/exp(22))-(1/exp(2)));
#define VALUE_A 1
#define VALUE_B 5

double my_function_x(double x);
double h_x(double x, double psi);
double interg(double a, double b, double N, double (*f)(double));
double E_n(double N);
double s_x(double x, double w_1, double w_2);
matrix* convolve(matrix img, matrix kernel,matrix* new,const double factor);
matrix *convolv_2d(matrix *m1, matrix *kernel);
double function_for_trapez(double a, uint32_t N, double (*f)(double), double (*O)(double));
void convolve_matrix(matrix* conv,matrix* orig, const matrix *const kernel, const int32_t factor);
void normalise_matrix(matrix* orig,int32_t min, int32_t max,int32_t lumMax);
// int32_t matrix_min(matrix *orig);
// int32_t matrix_max(matrix* orig);

#endif